--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: db
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: filename
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: lookup_key
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: table_class
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: create_called_from_database_instance
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: valid_data_type?
- !ruby/object:RI::MethodSummary 
  name: valid_default_type?
- !ruby/object:RI::MethodSummary 
  name: valid_field_type?
- !ruby/object:RI::MethodSummary 
  name: valid_index_type?
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Make constructor private. KBTable instances should only be created from KirbyBase#get_table.
  name: VALID_FIELD_TYPES
  value: "[:String, :Integer, :Float, :Boolean, :Date, :Time,\r                          :DateTime, :Memo, :Blob, :ResultSet, :YAML]"
- !ruby/object:RI::Constant 
  comment: 
  name: VALID_DEFAULT_TYPES
  value: "[:String, :Integer, :Float, :Boolean, :Date,\r                            :Time, :DateTime, :YAML]"
- !ruby/object:RI::Constant 
  comment: 
  name: VALID_INDEX_TYPES
  value: "[:String, :Integer, :Float, :Boolean, :Date, :Time,\r                          :DateTime]"
full_name: KirbyBase::KBTable
includes: 
- !ruby/object:RI::IncludedModule 
  name: DRb::DRbUndumped
- !ruby/object:RI::IncludedModule 
  name: KBTypeConversionsMixin
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: "[]="
- !ruby/object:RI::MethodSummary 
  name: add_column
- !ruby/object:RI::MethodSummary 
  name: add_index
- !ruby/object:RI::MethodSummary 
  name: change_column_default_value
- !ruby/object:RI::MethodSummary 
  name: change_column_required
- !ruby/object:RI::MethodSummary 
  name: change_column_type
- !ruby/object:RI::MethodSummary 
  name: clear
- !ruby/object:RI::MethodSummary 
  name: delete
- !ruby/object:RI::MethodSummary 
  name: drop_column
- !ruby/object:RI::MethodSummary 
  name: drop_index
- !ruby/object:RI::MethodSummary 
  name: encrypted?
- !ruby/object:RI::MethodSummary 
  name: field_defaults
- !ruby/object:RI::MethodSummary 
  name: field_extras
- !ruby/object:RI::MethodSummary 
  name: field_indexes
- !ruby/object:RI::MethodSummary 
  name: field_names
- !ruby/object:RI::MethodSummary 
  name: field_requireds
- !ruby/object:RI::MethodSummary 
  name: field_types
- !ruby/object:RI::MethodSummary 
  name: import_csv
- !ruby/object:RI::MethodSummary 
  name: insert
- !ruby/object:RI::MethodSummary 
  name: pack
- !ruby/object:RI::MethodSummary 
  name: rename_column
- !ruby/object:RI::MethodSummary 
  name: select
- !ruby/object:RI::MethodSummary 
  name: select_by_recno_index
- !ruby/object:RI::MethodSummary 
  name: set
- !ruby/object:RI::MethodSummary 
  name: total_recs
- !ruby/object:RI::MethodSummary 
  name: update
- !ruby/object:RI::MethodSummary 
  name: update_all
name: KBTable
superclass: Object
